Skip to main content
Profiles webhooks notify your system when:
  • A new profile object is added after a newly connected payroll account is scanned with an initial scan.
  • An existing profile object is updated with new information after a periodic scan.

Added

POST /v1/webhooks Implement the profiles.added webhook to know when a new profile object is added.
  • A new profile object is added when a new account object is created and scanned.

Request body

Webhook message

  • name (string, optional): Name used for the webhook subscription.
  • data (object, optional)
  • account (string (uuid), optional): ID of the account.
  • user (string (uuid), optional): ID of the user.
  • profile (string (uuid), optional): ID of the profile.
curl --request POST \\
--url https://api.argyle.com/v1/webhooks \\
--header 'accept: application/json' \\
--header 'content-type: application/json' \\
--data '{
"events": ["profiles.added"],
"name": "name-for-the-webhook-subscription",
"url": "https://your-webhook-backend.com",
"secret": "optional-secret"
}'

{
"event": "profiles.added",
"name": "A profile was added",
"data": {
"account": "ada143be-3c90-4534-b7ea-9899674dc6e0",
"user": "3823026e-a964-45f6-b201-6b8c096b30d3",
"profile": "4334r6e-a964-45eef6-b201-64464"
}
},
null,
2
  

Updated

POST /v1/webhooks Implement the profiles.updated webhook to know when a profile object is updated.
  • Profile objects are updated through periodic scanning.

Request body

Webhook message

  • name (string, optional): Name used for the webhook subscription.
  • data (object, optional)
  • account (string (uuid), optional): ID of the account.
  • user (string (uuid), optional): ID of the user.
  • profile (string (uuid), optional): ID of the profile.
curl --request POST \\
--url https://api.argyle.com/v1/webhooks \\
--header 'accept: application/json' \\
--header 'content-type: application/json' \\
--data '{
"events": ["profiles.updated"],
"name": "name-for-the-webhook-subscription",
"url": "https://your-webhook-backend.com",
"secret": "optional-secret"
}'

{
"event": "profiles.updated",
"name": "A profile was updated",
"data": {
"account": "ada143be-3c90-4534-b7ea-9899674dc6e0",
"user": "3823026e-a964-45f6-b201-6b8c096b30d3",
"profile": "4334r6e-a964-45eef6-b201-64464"
}
},
null,
2